Bug 807521 - /usr/bin/kdumpctl didn't respect nfs-server dump option in /etc/kdump.conf
/usr/bin/kdumpctl didn't respect nfs-server dump option in /etc/kdump.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 807522
  Show dependency treegraph
 
Reported: 2012-03-27 23:32 EDT by WANG Chao
Modified: 2013-02-25 04:26 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 807522 (view as bug list)
Environment:
Last Closed: 2013-02-25 04:26:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WANG Chao 2012-03-27 23:32:02 EDT
Description of problem:
When configure kdump to dump vmcore to a nfs server, we append such a line like `net nfs.server:/mnt/testarea/nfs` to /etc/kdump.conf.
And run `kdumpctl restart`, this nfs dump config is treated as ssh dump.

In /usr/bin/kdumpctl line 201:
local SSH_TARGET=`echo -n $DUMP_TARGET|sed '/.*@/p'`

sed should be called with option -n to remain slience when DUMP_TARGET is a nfs server like 'nfs.server:/mnt/testarea/nfs'.
Then nfs function check_ssh_config will return 1 to not to config nfs like a ssh dump

Version-Release number of selected component (if applicable):
kexec-tools-2.0.3-41.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1.sed -i 's;\(/bin/sh\);\1 -x;' /usr/bin/kdumpctl
2.echo nfs.server:/mnt/testarea/nfs > /etc/kdump.conf
3.kdumpctl restart
  
Actual results:
kdumpctl didn't respect nfs dump option in /etc/kdump.conf

Expected results:
nfs is treated its own way.

Additional info:
Comment 1 Dave Young 2012-03-28 01:14:14 EDT
Thanks for the good catch
Chao, Can you send out a patch to kdump list?
Comment 2 WANG Chao 2012-03-28 04:29:07 EDT
Post
Comment 3 Fedora Update System 2012-03-29 23:55:37 EDT
kexec-tools-2.0.3-42.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kexec-tools-2.0.3-42.fc17
Comment 4 Fedora Update System 2012-03-30 13:58:44 EDT
Package kexec-tools-2.0.3-42.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kexec-tools-2.0.3-42.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4916/kexec-tools-2.0.3-42.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-11 07:44:35 EDT
kexec-tools-2.0.3-43.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kexec-tools-2.0.3-43.fc17
Comment 6 Fedora Admin XMLRPC Client 2012-04-16 02:13:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-02-25 03:06:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.